using ComputerStoreContracts.BindingModels;
using ComputerStoreContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ComputerStoreContracts.BusinessLogicContracts;

public interface IUserBusinessLogicContract
{
    List<UserViewModel>? ReadList(UserBindingModel? model);
    UserViewModel? ReadElement(UserBindingModel model);
    void Create(UserBindingModel model);
    void Update(UserBindingModel model);
    void Delete(UserBindingModel model);
}
